Bug 239526 - Review Request: python-gammu - Python bindings for Gammu
Summary: Review Request: python-gammu - Python bindings for Gammu
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 239525
Blocks: 239527
TreeView+ depends on / blocked
 
Reported: 2007-05-09 06:36 UTC by Xavier Lamien
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 01:49:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Xavier Lamien 2007-05-09 06:36:24 UTC
Spec URL: http://download.tuxfamily.org/lxtnow/fedora/SPECS/python-gammu.spec
SRPM URL: http://download.tuxfamily.org/lxtnow/temp/python-gammu-0.19-1.src.rpm
MockLog: http://download.tuxfamily.org/lxtnow/temp/python-gammu-0.19-build.log

Description:

Python bindings for Gammu library.
It currently does not support all Gammu features,but range of covered functions is increasing,if you need some specific, feel free to use bug tracking
system for feature requests.

Comment 1 Parag AN(पराग) 2007-05-14 05:58:46 UTC
So this package is also having similar rpmlint output like gammu have.
Got spurious-executable-perm and doc-file-depencecy with rpmlint 0.80 version.
Any comments on why both warnings should be ignored?

Comment 2 Xavier Lamien 2007-05-23 00:46:57 UTC
those are exemples script which could be check for extras use (such as manage
smsbackup).
upstream isn't more explicit about them... :(

Comment 3 Parag AN(पराग) 2007-05-23 01:08:21 UTC
but here rpmlint is showing doc-file-dependency warning...
Is gammu-python really using these scripts or its for end-user to explicitly use
them? if that is then you can chmod 644 to those scripts.

Comment 4 Xavier Lamien 2007-05-24 00:56:06 UTC
It's typically for end-user and sure these can be set to 0644.
i actually fix that but i need to import first new gammu release before add the
updated release of python-gammu which require gammu-1.10.7 to be able to build.





Comment 5 Xavier Lamien 2007-05-29 03:59:18 UTC
Well,

Here is the updated release 0.20 with its fix.
you'll find out srpm, spec and build.log files from link below.

http://download.tuxfamily.org/lxtnow/extras/gammu

Comment 6 Xavier Lamien 2007-06-04 16:28:41 UTC
ping : Parag ?

Comment 7 Parag AN(पराग) 2007-06-04 16:59:35 UTC
will do review by tomorrow

Comment 8 Parag AN(पराग) 2007-06-05 01:08:59 UTC
rpmlint on SRPM reports
W: python-gammu mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 4)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

you can correct this at time of cvs import. 

Comment 9 Parag AN(पराग) 2007-06-05 01:10:56 UTC
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM
+ rpmlint is silent for RPM.
+ source files match upstream url
a2470a7336286805d9698b3d67bb23c1  python-gammu-0.20.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: Core.so
+ Requires: gammu libGammu.so.1 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libm.so.6 libpthread.so.0
libpython2.5.so.1.0 python(abi) = 2.5 rtld(GNU_HASH)
APPROVED


Don't forget to solve rpmlint warning on SRPM.

Comment 10 Xavier Lamien 2007-06-05 14:04:09 UTC
I will fix that before request CVSsync, thanks Parag

Comment 11 Xavier Lamien 2007-06-06 05:02:12 UTC
Done,

New Package CVS Request
=======================
Package Name: python-gammu
Short Description: Python bindings for Gammu
Owners: lxtnow@gmail.com
Branches: FC-5 FC-6 F-7 EL-4 EL-5 Devel
InitialCC: 

Comment 12 Jason Tibbitts 2007-06-06 16:33:04 UTC
CVS done.

Comment 13 Xavier Lamien 2007-06-13 01:49:19 UTC
imported and built.

Thanks to all


Note You need to log in before you can comment on or make changes to this bug.